Skip to content

Compose & places

GET/api/v1.1/compose/settings

Get compose settings

Pixelfed only User token

Returns

curl "https://pixelfed.social/api/v1.1/compose/settings" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN"
Response
{
  "allowed_media_types": ["image/jpeg", "image/jpg", "image/png", "image/gif", "video/mp4"],
  "max_caption_length": 500,
  "default_license": 1,
  "media_descriptions": false,
  "max_file_size": 15000,
  "max_media_attachments": 10,
  "max_altext_length": 1000,
  "default_scope": "public"
}
GET/api/v1.1/compose/search/location

Search locations

Pixelfed only User token

Query parameters

qstringrequired

Returns

curl "https://pixelfed.social/api/v1.1/compose/search/location?q=Tallinn, Estonia" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN"
Response
[{
  "id": 61244,
  "name": "Tallinn",
  "country": "Estonia",
  "url": "https://pixelfed.social/discover/places/61244/tallinn"
}]
GET/api/v1.1/places/posts/{id}/{slug}

Get posts for a place

Pixelfed only User token Scope read

Path parameters

idstringrequired

slugstringrequired

Returns

curl "https://pixelfed.social/api/v1.1/places/posts/61244/tallinn" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN"
Response
{
  "place": {
    "id": 61244,
    "name": "Tallinn",
    "slug": "tallinn",
    "country": "Estonia",
    "lat": "59.436960",
    "long": "24.753530"
  },
  "posts": [{
    "id": "728341901556629504",
    "url": "https://pixelfed.social/p/dansup/728341901556629504",
    "content": "Golden hour at the pier",
    "created_at": "2026-09-14T17:42:10.000Z",
    "visibility": "public",
    "pf_type": "photo",
    "place": {
      "id": 61244,
      "name": "Tallinn",
      "slug": "tallinn",
      "country": "Estonia"
    },
    "media_attachments": [{
      "id": "728341067224219648",
      "type": "image",
      "url": "https://pixelfed.social/storage/m/_v2/2/pier.jpg"
    }],
    "account": {
      "id": "2",
      "username": "dansup",
      "acct": "dansup"
    }
  }]
}
Pixelfed is free and open source software. Edit this page Report a docs issue